diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-admin/js/edit-comments.dev.js ./wordpress-3.4/wp-admin/js/edit-comments.dev.js
*** ./wordpress-3.3.2/wp-admin/js/edit-comments.dev.js	2011-11-15 11:57:53.000000000 -0600
--- ./wordpress-3.4/wp-admin/js/edit-comments.dev.js	2012-04-19 09:32:45.000000000 -0500
***************
*** 1,5 ****
! var theList, theExtraList, toggleWithKeyboard = false, getCount, updateCount, updatePending, dashboardTotals;
  (function($) {
  
  setCommentsList = function() {
  	var totalInput, perPageInput, pageInput, lastConfidentTime = 0, dimAfter, delBefore, updateTotalCount, delAfter, refillTheExtraList;
--- 1,7 ----
! var theList, theExtraList, toggleWithKeyboard = false;
! 
  (function($) {
+ var getCount, updateCount, updatePending, dashboardTotals;
  
  setCommentsList = function() {
  	var totalInput, perPageInput, pageInput, lastConfidentTime = 0, dimAfter, delBefore, updateTotalCount, delAfter, refillTheExtraList;
***************
*** 27,51 ****
  			c.find('div.comment_status').html('1');
  		}
  
! 		$('span.pending-count').each( function() {
! 			var a = $(this), n, dif;
! 
! 			n = a.html().replace(/[^0-9]+/g, '');
! 			n = parseInt(n, 10);
! 
! 			if ( isNaN(n) )
! 				return;
! 
! 			dif = $('#' + settings.element).is('.' + settings.dimClass) ? 1 : -1;
! 			n = n + dif;
! 
! 			if ( n < 0 )
! 				n = 0;
! 
! 			a.closest('.awaiting-mod')[ 0 == n ? 'addClass' : 'removeClass' ]('count-0');
! 			updateCount(a, n);
! 			dashboardTotals();
! 		});
  	};
  
  	// Send current total, page, per_page and url
--- 29,36 ----
  			c.find('div.comment_status').html('1');
  		}
  
! 		var diff = $('#' + settings.element).is('.' + settings.dimClass) ? 1 : -1;
! 		updatePending( diff );
  	};
  
  	// Send current total, page, per_page and url
***************
*** 84,90 ****
  
  			el.before(h);
  
! 			$('strong', '#undo-' + id).text(author + ' ');
  			a = $('.undo a', '#undo-' + id);
  			a.attr('href', 'comment.php?action=un' + action + 'comment&c=' + id + '&_wpnonce=' + settings.data._ajax_nonce);
  			a.attr('class', 'delete:the-comment-list:comment-' + id + '::un' + action + '=1 vim-z vim-destructive');
--- 69,75 ----
  
  			el.before(h);
  
! 			$('strong', '#undo-' + id).text(author);
  			a = $('.undo a', '#undo-' + id);
  			a.attr('href', 'comment.php?action=un' + action + 'comment&c=' + id + '&_wpnonce=' + settings.data._ajax_nonce);
  			a.attr('class', 'delete:the-comment-list:comment-' + id + '::un' + action + '=1 vim-z vim-destructive');
***************
*** 154,170 ****
  		el.html(n);
  	};
  
! 	updatePending = function(n) {
! 		$('span.pending-count').each( function() {
! 			var a = $(this);
! 
! 			if ( n < 0 )
  				n = 0;
- 
  			a.closest('.awaiting-mod')[ 0 == n ? 'addClass' : 'removeClass' ]('count-0');
! 			updateCount(a, n);
! 			dashboardTotals();
  		});
  	};
  
  	// In admin-ajax.php, we send back the unix time stamp instead of 1 on success
--- 138,153 ----
  		el.html(n);
  	};
  
! 	updatePending = function( diff ) {
! 		$('span.pending-count').each(function() {
! 			var a = $(this), n = getCount(a) + diff;
! 			if ( n < 1 )
  				n = 0;
  			a.closest('.awaiting-mod')[ 0 == n ? 'addClass' : 'removeClass' ]('count-0');
! 			updateCount( a, n );
  		});
+ 
+ 		dashboardTotals();
  	};
  
  	// In admin-ajax.php, we send back the unix time stamp instead of 1 on success
***************
*** 193,207 ****
  		else
  			spam = getUpdate('spam');
  
! 		pending = getCount( $('span.pending-count').eq(0) );
! 
! 		if ( $(settings.target).parent().is('span.unapprove') || ( ( untrash || unspam ) && unapproved ) ) { // we "deleted" an approved comment from the approved list by clicking "Unapprove"
! 			pending = pending + 1;
! 		} else if ( unapproved ) { // we deleted a formerly unapproved comment
! 			pending = pending - 1;
  		}
  
! 		updatePending(pending);
  
  		$('span.spam-count').each( function() {
  			var a = $(this), n = getCount(a) + spam;
--- 176,192 ----
  		else
  			spam = getUpdate('spam');
  
! 		if ( $(settings.target).parent().is('span.unapprove') || ( ( untrash || unspam ) && unapproved ) ) {
! 			// a comment was 'deleted' from another list (e.g. approved, spam, trash) and moved to pending,
! 			// or a trash/spam of a pending comment was undone
! 			pending = 1;
! 		} else if ( unapproved ) {
! 			// a pending comment was trashed/spammed/approved
! 			pending = -1;
  		}
  
! 		if ( pending )
! 			updatePending(pending);
  
  		$('span.spam-count').each( function() {
  			var a = $(this), n = getCount(a) + spam;
***************
*** 362,422 ****
  	},
  
  	close : function() {
! 		var c;
  
! 		if ( this.cid ) {
  			c = $('#comment-' + this.cid);
  
! 			if ( typeof QTags != 'undefined' )
! 				QTags.closeAllTags('replycontent');
  
! 			if ( this.act == 'edit-comment' )
! 				c.fadeIn(300, function(){ c.show() }).css('backgroundColor', '');
  
! 			$('#replyrow').hide();
! 			$('#com-reply').append( $('#replyrow') );
! 			$('#replycontent').val('');
! 			$('input', '#edithead').val('');
! 			$('.error', '#replysubmit').html('').hide();
! 			$('.waiting', '#replysubmit').hide();
! 			$('#replycontent').css('height', '');
  
! 			this.cid = '';
! 		}
  	},
  
! 	open : function(id, p, a) {
! 		var t = this, editRow, rowData, act, c = $('#comment-' + id), h = c.height(), replyButton;
  
  		t.close();
! 		t.cid = id;
  
  		editRow = $('#replyrow');
! 		rowData = $('#inline-'+id);
! 		act = t.act = (a == 'edit') ? 'edit-comment' : 'replyto-comment';
  
  		$('#action', editRow).val(act);
! 		$('#comment_post_ID', editRow).val(p);
! 		$('#comment_ID', editRow).val(id);
  
  		if ( h > 120 )
  			$('#replycontent', editRow).css('height', (35+h) + 'px');
  
! 		if ( a == 'edit' ) {
  			$('#author', editRow).val( $('div.author', rowData).text() );
  			$('#author-email', editRow).val( $('div.author-email', rowData).text() );
  			$('#author-url', editRow).val( $('div.author-url', rowData).text() );
  			$('#status', editRow).val( $('div.comment_status', rowData).text() );
  			$('#replycontent', editRow).val( $('textarea.comment', rowData).val() );
  			$('#edithead, #savebtn', editRow).show();
! 			$('#replyhead, #replybtn', editRow).hide();
  
  			c.after( editRow ).fadeOut('fast', function(){
  				$('#replyrow').fadeIn(300, function(){ $(this).show() });
  			});
! 		} else {
! 			replyButton = $('#replybtn', editRow);
! 			$('#edithead, #savebtn', editRow).hide();
  			$('#replyhead, #replybtn', editRow).show();
  			c.after(editRow);
  
--- 346,417 ----
  	},
  
  	close : function() {
! 		var c, replyrow = $('#replyrow');
  
! 		// replyrow is not showing?
! 		if ( replyrow.parent().is('#com-reply') )
! 			return;
! 
! 		if ( this.cid && this.act == 'edit-comment' ) {
  			c = $('#comment-' + this.cid);
+ 			c.fadeIn(300, function(){ c.show() }).css('backgroundColor', '');
+ 		}
  
! 		// reset the Quicktags buttons
! 		if ( typeof QTags != 'undefined' )
! 			QTags.closeAllTags('replycontent');
  
! 		$('#add-new-comment').css('display', '');
  
! 		replyrow.hide();
! 		$('#com-reply').append( replyrow );
! 		$('#replycontent').css('height', '').val('');
! 		$('#edithead input').val('');
! 		$('.error', replyrow).html('').hide();
! 		$('.waiting', replyrow).hide();
  
! 		this.cid = '';
  	},
  
! 	open : function(comment_id, post_id, action) {
! 		var t = this, editRow, rowData, act, c = $('#comment-' + comment_id), h = c.height(), replyButton;
  
  		t.close();
! 		t.cid = comment_id;
  
  		editRow = $('#replyrow');
! 		rowData = $('#inline-'+comment_id);
! 		action = action || 'replyto';
! 		act = 'edit' == action ? 'edit' : 'replyto';
! 		act = t.act = act + '-comment';
  
  		$('#action', editRow).val(act);
! 		$('#comment_post_ID', editRow).val(post_id);
! 		$('#comment_ID', editRow).val(comment_id);
  
  		if ( h > 120 )
  			$('#replycontent', editRow).css('height', (35+h) + 'px');
  
! 		if ( action == 'edit' ) {
  			$('#author', editRow).val( $('div.author', rowData).text() );
  			$('#author-email', editRow).val( $('div.author-email', rowData).text() );
  			$('#author-url', editRow).val( $('div.author-url', rowData).text() );
  			$('#status', editRow).val( $('div.comment_status', rowData).text() );
  			$('#replycontent', editRow).val( $('textarea.comment', rowData).val() );
  			$('#edithead, #savebtn', editRow).show();
! 			$('#replyhead, #replybtn, #addhead, #addbtn', editRow).hide();
  
  			c.after( editRow ).fadeOut('fast', function(){
  				$('#replyrow').fadeIn(300, function(){ $(this).show() });
  			});
! 		} else if ( action == 'add' ) {
! 			$('#addhead, #addbtn', editRow).show();
! 			$('#replyhead, #replybtn, #edithead, #editbtn', editRow).hide();
! 			$('#the-comment-list').prepend(editRow);
! 			$('#replyrow').fadeIn(300);
!  		} else {
!  			replyButton = $('#replybtn', editRow);
! 			$('#edithead, #savebtn, #addhead, #addbtn', editRow).hide();
  			$('#replyhead, #replybtn', editRow).show();
  			c.after(editRow);
  
***************
*** 459,465 ****
  		$('#replysubmit .waiting').show();
  
  		$('#replyrow input').not(':button').each(function() {
! 			post[ $(this).attr('name') ] = $(this).val();
  		});
  
  		post.content = $('#replycontent').val();
--- 454,461 ----
  		$('#replysubmit .waiting').show();
  
  		$('#replyrow input').not(':button').each(function() {
! 			var t = $(this);
! 			post[ t.attr('name') ] = t.val();
  		});
  
  		post.content = $('#replycontent').val();
***************
*** 505,511 ****
  
  		if ( r.supplemental.parent_approved ) {
  			pid = $('#comment-' + r.supplemental.parent_approved);
! 			updatePending( getCount( $('span.pending-count').eq(0) ) - 1 );
  
  			if ( this.comments_listing == 'moderated' ) {
  				pid.animate( { 'backgroundColor':'#CCEEBB' }, 400, function(){
--- 502,508 ----
  
  		if ( r.supplemental.parent_approved ) {
  			pid = $('#comment-' + r.supplemental.parent_approved);
! 			updatePending( -1 );
  
  			if ( this.comments_listing == 'moderated' ) {
  				pid.animate( { 'backgroundColor':'#CCEEBB' }, 400, function(){
***************
*** 544,549 ****
--- 541,556 ----
  		if ( er )
  			$('#replysubmit .error').html(er).show();
  
+ 	},
+ 
+ 	addcomment: function(post_id) {
+ 		var t = this;
+ 
+ 		$('#add-new-comment').fadeOut(200, function(){
+ 			t.open(0, post_id, 'add');
+ 			$('table.comments-box').css('display', '');
+ 			$('#no-comments').remove();
+ 		});
  	}
  };
  
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-admin/js/editor.dev.js ./wordpress-3.4/wp-admin/js/editor.dev.js
*** ./wordpress-3.3.2/wp-admin/js/editor.dev.js	2011-11-30 22:51:35.000000000 -0600
--- ./wordpress-3.4/wp-admin/js/editor.dev.js	2012-05-01 20:14:52.000000000 -0500
***************
*** 62,74 ****
  	},
  
  	_wp_Nop : function(content) {
! 		var blocklist1, blocklist2;
  
  		// Protect pre|script tags
  		if ( content.indexOf('<pre') != -1 || content.indexOf('<script') != -1 ) {
  			content = content.replace(/<(pre|script)[^>]*>[\s\S]+?<\/\1>/g, function(a) {
! 				a = a.replace(/<br ?\/?>(\r\n|\n)?/g, '<wp_temp>');
! 				return a.replace(/<\/?p( [^>]*)?>(\r\n|\n)?/g, '<wp_temp>');
  			});
  		}
  
--- 62,83 ----
  	},
  
  	_wp_Nop : function(content) {
! 		var blocklist1, blocklist2, preserve_linebreaks = false, preserve_br = false;
  
  		// Protect pre|script tags
  		if ( content.indexOf('<pre') != -1 || content.indexOf('<script') != -1 ) {
+ 			preserve_linebreaks = true;
  			content = content.replace(/<(pre|script)[^>]*>[\s\S]+?<\/\1>/g, function(a) {
! 				a = a.replace(/<br ?\/?>(\r\n|\n)?/g, '<wp-temp-lb>');
! 				return a.replace(/<\/?p( [^>]*)?>(\r\n|\n)?/g, '<wp-temp-lb>');
! 			});
! 		}
! 
! 		// keep <br> tags inside captions and remove line breaks
! 		if ( content.indexOf('[caption') != -1 ) {
! 			preserve_br = true;
! 			content = content.replace(/\[caption[\s\S]+?\[\/caption\]/g, function(a) {
! 				return a.replace(/<br([^>]*)>/g, '<wp-temp-br$1>').replace(/[\r\n\t]+/, '');
  			});
  		}
  
***************
*** 119,131 ****
  		content = content.replace(/[\s\u00a0]+$/, '');
  
  		// put back the line breaks in pre|script
! 		content = content.replace(/<wp_temp>/g, '\n');
  
  		return content;
  	},
  
  	_wp_Autop : function(pee) {
! 		var blocklist = 'table|thead|tfoot|tbody|tr|td|th|caption|col|colgroup|div|dl|dd|dt|ul|ol|li|pre|select|form|blockquote|address|math|p|h[1-6]|fieldset|legend|hr|noscript|menu|samp|header|footer|article|section|hgroup|nav|aside|details|summary';
  
  		if ( pee.indexOf('<object') != -1 ) {
  			pee = pee.replace(/<object[\s\S]+?<\/object>/g, function(a){
--- 128,146 ----
  		content = content.replace(/[\s\u00a0]+$/, '');
  
  		// put back the line breaks in pre|script
! 		if ( preserve_linebreaks )
! 			content = content.replace(/<wp-temp-lb>/g, '\n');
! 
! 		// and the <br> tags in captions
! 		if ( preserve_br )
! 			content = content.replace(/<wp-temp-br([^>]*)>/g, '<br$1>');
  
  		return content;
  	},
  
  	_wp_Autop : function(pee) {
! 		var preserve_linebreaks = false, preserve_br = false,
! 			blocklist = 'table|thead|tfoot|tbody|tr|td|th|caption|col|colgroup|div|dl|dd|dt|ul|ol|li|pre|select|form|blockquote|address|math|p|h[1-6]|fieldset|legend|hr|noscript|menu|samp|header|footer|article|section|hgroup|nav|aside|details|summary';
  
  		if ( pee.indexOf('<object') != -1 ) {
  			pee = pee.replace(/<object[\s\S]+?<\/object>/g, function(a){
***************
*** 139,146 ****
  
  		// Protect pre|script tags
  		if ( pee.indexOf('<pre') != -1 || pee.indexOf('<script') != -1 ) {
  			pee = pee.replace(/<(pre|script)[^>]*>[\s\S]+?<\/\1>/g, function(a) {
! 				return a.replace(/(\r\n|\n)/g, '<wp_temp_br>');
  			});
  		}
  
--- 154,177 ----
  
  		// Protect pre|script tags
  		if ( pee.indexOf('<pre') != -1 || pee.indexOf('<script') != -1 ) {
+ 			preserve_linebreaks = true;
  			pee = pee.replace(/<(pre|script)[^>]*>[\s\S]+?<\/\1>/g, function(a) {
! 				return a.replace(/(\r\n|\n)/g, '<wp-temp-lb>');
! 			});
! 		}
! 
! 		// keep <br> tags inside captions and convert line breaks
! 		if ( pee.indexOf('[caption') != -1 ) {
! 			preserve_br = true;
! 			pee = pee.replace(/\[caption[\s\S]+?\[\/caption\]/g, function(a) {
! 				// keep existing <br>
! 				a = a.replace(/<br([^>]*)>/g, '<wp-temp-br$1>');
! 				// no line breaks inside HTML tags
! 				a = a.replace(/<[a-zA-Z0-9]+( [^<>]+)?>/g, function(b){
! 					return b.replace(/[\r\n\t]+/, ' ');
! 				});
! 				// convert remaining line breaks to <br>
! 				return a.replace(/\s*\n\s*/g, '<wp-temp-br />');
  			});
  		}
  
***************
*** 172,178 ****
  		});
  
  		// put back the line breaks in pre|script
! 		pee = pee.replace(/<wp_temp_br>/g, '\n');
  
  		return pee;
  	},
--- 203,213 ----
  		});
  
  		// put back the line breaks in pre|script
! 		if ( preserve_linebreaks )
! 			pee = pee.replace(/<wp-temp-lb>/g, '\n');
! 
! 		if ( preserve_br )
! 			pee = pee.replace(/<wp-temp-br([^>]*)>/g, '<br$1>');
  
  		return pee;
  	},
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-admin/js/inline-edit-post.dev.js ./wordpress-3.4/wp-admin/js/inline-edit-post.dev.js
*** ./wordpress-3.3.2/wp-admin/js/inline-edit-post.dev.js	2011-11-29 12:25:49.000000000 -0600
--- ./wordpress-3.4/wp-admin/js/inline-edit-post.dev.js	2012-03-15 08:30:28.000000000 -0500
***************
*** 117,123 ****
  		if ( 'post' == type ) {
  			// support multi taxonomies?
  			tax = 'post_tag';
! 			$('tr.inline-editor textarea[name="tax_input['+tax+']"]').suggest( 'admin-ajax.php?action=ajax-tag-search&tax='+tax, { delay: 500, minchars: 2, multiple: true, multipleSep: ", " } );
  		}
  		$('html, body').animate( { scrollTop: 0 }, 'fast' );
  	},
--- 117,123 ----
  		if ( 'post' == type ) {
  			// support multi taxonomies?
  			tax = 'post_tag';
! 			$('tr.inline-editor textarea[name="tax_input['+tax+']"]').suggest( ajaxurl + '?action=ajax-tag-search&tax=' + tax, { delay: 500, minchars: 2, multiple: true, multipleSep: inlineEditL10n.comma + ' ' } );
  		}
  		$('html, body').animate( { scrollTop: 0 }, 'fast' );
  	},
***************
*** 129,137 ****
  		if ( typeof(id) == 'object' )
  			id = t.getId(id);
  
! 		fields = ['post_title', 'post_name', 'post_author', '_status', 'jj', 'mm', 'aa', 'hh', 'mn', 'ss', 'post_password', 'post_format'];
  		if ( t.type == 'page' )
! 			fields.push('post_parent', 'menu_order', 'page_template');
  
  		// add the new blank row
  		editRow = $('#inline-edit').clone(true);
--- 129,137 ----
  		if ( typeof(id) == 'object' )
  			id = t.getId(id);
  
! 		fields = ['post_title', 'post_name', 'post_author', '_status', 'jj', 'mm', 'aa', 'hh', 'mn', 'ss', 'post_password', 'post_format', 'menu_order'];
  		if ( t.type == 'page' )
! 			fields.push('post_parent', 'page_template');
  
  		// add the new blank row
  		editRow = $('#inline-edit').clone(true);
***************
*** 184,195 ****
  		$('.tags_input', rowData).each(function(){
  			var terms = $(this).text(),
  				taxname = $(this).attr('id').replace('_' + id, ''),
! 				textarea = $('textarea.tax_input_' + taxname, editRow);
  
! 			if ( terms )
  				textarea.val(terms);
  
! 			textarea.suggest( 'admin-ajax.php?action=ajax-tag-search&tax='+taxname, { delay: 500, minchars: 2, multiple: true, multipleSep: ", " } );
  		});
  
  		// handle the post status
--- 184,199 ----
  		$('.tags_input', rowData).each(function(){
  			var terms = $(this).text(),
  				taxname = $(this).attr('id').replace('_' + id, ''),
! 				textarea = $('textarea.tax_input_' + taxname, editRow),
! 				comma = inlineEditL10n.comma;
  
! 			if ( terms ) {
! 				if ( ',' !== comma )
! 					terms = terms.replace(/,/g, comma);
  				textarea.val(terms);
+ 			}
  
! 			textarea.suggest( ajaxurl + '?action=ajax-tag-search&tax=' + taxname, { delay: 500, minchars: 2, multiple: true, multipleSep: inlineEditL10n.comma + ' ' } );
  		});
  
  		// handle the post status
***************
*** 247,253 ****
  		params = fields + '&' + $.param(params);
  
  		// make ajax request
! 		$.post('admin-ajax.php', params,
  			function(r) {
  				$('table.widefat .inline-edit-save .waiting').hide();
  
--- 251,257 ----
  		params = fields + '&' + $.param(params);
  
  		// make ajax request
! 		$.post( ajaxurl, params,
  			function(r) {
  				$('table.widefat .inline-edit-save .waiting').hide();
  
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-admin/js/inline-edit-tax.dev.js ./wordpress-3.4/wp-admin/js/inline-edit-tax.dev.js
*** ./wordpress-3.3.2/wp-admin/js/inline-edit-tax.dev.js	2011-06-09 19:01:16.000000000 -0500
--- ./wordpress-3.4/wp-admin/js/inline-edit-tax.dev.js	2012-03-15 08:30:28.000000000 -0500
***************
*** 73,79 ****
  		params = fields + '&' + $.param(params);
  
  		// make ajax request
! 		$.post('admin-ajax.php', params,
  			function(r) {
  				var row, new_id;
  				$('table.widefat .inline-edit-save .waiting').hide();
--- 73,79 ----
  		params = fields + '&' + $.param(params);
  
  		// make ajax request
! 		$.post( ajaxurl, params,
  			function(r) {
  				var row, new_id;
  				$('table.widefat .inline-edit-save .waiting').hide();
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-admin/js/media.dev.js ./wordpress-3.4/wp-admin/js/media.dev.js
*** ./wordpress-3.3.2/wp-admin/js/media.dev.js	2010-10-22 14:23:00.000000000 -0500
--- ./wordpress-3.4/wp-admin/js/media.dev.js	2012-04-01 17:46:29.000000000 -0500
***************
*** 28,40 ****
  			var post = {
  				ps: $('#find-posts-input').val(),
  				action: 'find_posts',
! 				_ajax_nonce: $('#_ajax_nonce').val()
  			};
  
- 			var selectedItem;
- 			$("input[@name='itemSelect[]']:checked").each(function() { selectedItem = $(this).val() });
- 			post['post_type'] = selectedItem;
- 
  			$.ajax({
  				type : 'POST',
  				url : ajaxurl,
--- 28,37 ----
  			var post = {
  				ps: $('#find-posts-input').val(),
  				action: 'find_posts',
! 				_ajax_nonce: $('#_ajax_nonce').val(),
! 				post_type: $('input[name="find-posts-what"]:checked').val()
  			};
  
  			$.ajax({
  				type : 'POST',
  				url : ajaxurl,
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-admin/js/media-gallery.dev.js ./wordpress-3.4/wp-admin/js/media-gallery.dev.js
*** ./wordpress-3.3.2/wp-admin/js/media-gallery.dev.js	1969-12-31 18:00:00.000000000 -0600
--- ./wordpress-3.4/wp-admin/js/media-gallery.dev.js	2012-04-05 06:14:32.000000000 -0500
***************
*** 0 ****
--- 1,25 ----
+ jQuery(function($){
+ 	$( 'body' ).bind( 'click.wp-gallery', function(e){
+ 		var target = $( e.target ), id, img_size;
+ 
+ 		if ( target.hasClass( 'wp-set-header' ) ) {
+ 			( window.dialogArguments || opener || parent || top ).location.href = target.data( 'location' );
+ 			e.preventDefault();
+ 		} else if ( target.hasClass( 'wp-set-background' ) ) {
+ 			id = target.data( 'attachment-id' );
+ 			img_size = $( 'input[name="attachments[' + id + '][image-size]"]:checked').val();
+ 
+ 			jQuery.post(ajaxurl, {
+ 				action: 'set-background-image',
+ 				attachment_id: id,
+ 				size: img_size
+ 			}, function(){
+ 				var win = window.dialogArguments || opener || parent || top;
+ 				win.tb_remove();
+ 				win.location.reload();
+ 			});
+ 
+ 			e.preventDefault();
+ 		}
+ 	});
+ });
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-admin/js/media-gallery.js ./wordpress-3.4/wp-admin/js/media-gallery.js
*** ./wordpress-3.3.2/wp-admin/js/media-gallery.js	1969-12-31 18:00:00.000000000 -0600
--- ./wordpress-3.4/wp-admin/js/media-gallery.js	2012-04-05 06:58:23.000000000 -0500
***************
*** 0 ****
--- 1 ----
+ jQuery(function(a){a("body").bind("click.wp-gallery",function(d){var c=a(d.target),f,b;if(c.hasClass("wp-set-header")){(window.dialogArguments||opener||parent||top).location.href=c.data("location");d.preventDefault()}else{if(c.hasClass("wp-set-background")){f=c.data("attachment-id");b=a('input[name="attachments['+f+'][image-size]"]:checked').val();jQuery.post(ajaxurl,{action:"set-background-image",attachment_id:f,size:b},function(){var e=window.dialogArguments||opener||parent||top;e.tb_remove();e.location.reload()});d.preventDefault()}}})});
\ No newline at end of file
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-admin/js/media-upload.dev.js ./wordpress-3.4/wp-admin/js/media-upload.dev.js
*** ./wordpress-3.3.2/wp-admin/js/media-upload.dev.js	2011-09-30 11:00:11.000000000 -0500
--- ./wordpress-3.4/wp-admin/js/media-upload.dev.js	2012-02-23 19:58:18.000000000 -0600
***************
*** 25,32 ****
  			ed.selection.moveToBookmark(ed.windowManager.insertimagebookmark);
  
  		if ( h.indexOf('[caption') === 0 ) {
! 			if ( ed.plugins.wpeditimage )
! 				h = ed.plugins.wpeditimage._do_shcode(h);
  		} else if ( h.indexOf('[gallery') === 0 ) {
  			if ( ed.plugins.wpgallery )
  				h = ed.plugins.wpgallery._do_gallery(h);
--- 25,32 ----
  			ed.selection.moveToBookmark(ed.windowManager.insertimagebookmark);
  
  		if ( h.indexOf('[caption') === 0 ) {
! 			if ( ed.wpSetImgCaption )
! 				h = ed.wpSetImgCaption(h);
  		} else if ( h.indexOf('[gallery') === 0 ) {
  			if ( ed.plugins.wpgallery )
  				h = ed.plugins.wpgallery._do_gallery(h);
